Bug 442053 - Udev Documentation is very out of date
Udev Documentation is very out of date
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jack Reed
Ruediger Landmann
Depends On:
  Show dependency treegraph
Reported: 2008-04-11 10:37 EDT by Matt Darcy
Modified: 2013-06-17 01:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-21 20:30:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Darcy 2008-04-11 10:37:18 EDT
Description of problem:

Version-Release number of selected component (if applicable):

The documentation at http://docs.fedoraproject.org/udev/ is very out of date, 
the last time it appears to have been updated is fedora core 3.

The documentation gives miss-leading information for later versions of udev, 
specifcly the details on hotplug and the permissions rules 
referecning /etc/udev/permissions.d

Current versions of udev do not use hotplug and the permissions should be set 
in the rules files, not the permissions files set in /etc/udev/permissions.d

This gives very miss-leading information and conflicts with the udev 

I'd be very happy to re-write this page, or for someone else to do it but I'd 
like to see this page updated.
Comment 1 Karsten Wade 2008-04-11 14:53:26 EDT
You guessed it correctly, in that the page has lingered because none of the
available resources has been interested in fixing it.  Also, the content might
do better split into the User Guide[1] and the Administration Guide[2], rather
than be stand-alone.

You are highly encouraged to pitch in and help update this content:


All you really need is a Fedora account and wiki access, as many writers do
drafting on the wiki instead.  However, if you are familiar with or want to
learn DocBook XML, the current content is in that source.  Ultimately, all
content is converted to XML for publication and long-term maintenance.

If you bring the idea to fix this content to fedora-docs-list and just start
working on it in either CVS or the wiki, you'll find willing collaborators.

Until we know what the resolution is for this content, we can leave this bug
open as NEEDINFO.  Thanks for your interest and care about this.

[1] F9 final draft work here:

[2] F9+ working draft here:
Comment 2 eric@christensenplace.us 2009-06-26 00:31:40 EDT
I think this guide may have been abandoned.  If we have picked up the slack with the User Guides that are now available for F9, F10, and F11 can we close this bug WONTFIX as the guide is EOL?  Is there information in this guide that can be pulled out and put into the user guide?
Comment 3 eric@christensenplace.us 2009-07-29 20:38:27 EDT
Changed from desktop-user-guide to user-guide to help reduce confusion.
Comment 4 Susan Lauber 2010-03-06 22:36:39 EST
This was a bug filed on a now outdated and abandoned document.
It is not applicable to the User Guide as it is too technical for that guide.
There is not any work that I know of on a Admin guide at the moment, but the info might work in the technical appendix of the Install Guide.  

It is a good suggestion to not just drop it.

Changing to Install Guide as a suggestion for future release.
Comment 5 Karsten Wade 2011-12-13 22:46:59 EST
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!
Comment 6 Jack Reed 2012-11-21 20:30:37 EST
I don't feel that technical information about a device manager would be suitable for an appendix in the Installation Guide. It may work in the Deployment Guide or the System Admin Guide, but given how much time has passed since the bug was both reported and last commented on, I'm going to close it.

However, if anyone believes it should be re-opened and assigned to one of those guides, please do so.

Note You need to log in before you can comment on or make changes to this bug.